<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (invoice) {
      <div>
        <h2 data-cy="invoiceDetailsHeading"><span>Invoice</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ invoice.id }}</span>
          </dd>
          <dt><span>Type</span></dt>
          <dd>
            <span>{{ invoice.type }}</span>
          </dd>
          <dt><span>Tanggal</span></dt>
          <dd>
            <span>{{ invoice.tanggal | formatMediumDate }}</span>
          </dd>
          <dt><span>Tgl Order</span></dt>
          <dd>
            <span>{{ invoice.tglOrder | formatMediumDate }}</span>
          </dd>
          <dt><span>Jml Order</span></dt>
          <dd>
            <span>{{ invoice.jmlOrder }}</span>
          </dd>
          <dt><span>Jml Order Cancel</span></dt>
          <dd>
            <span>{{ invoice.jmlOrderCancel }}</span>
          </dd>
          <dt><span>No Proforma Pnbp</span></dt>
          <dd>
            <span>{{ invoice.noProformaPnbp }}</span>
          </dd>
          <dt><span>No Proforma Jasa</span></dt>
          <dd>
            <span>{{ invoice.noProformaJasa }}</span>
          </dd>
          <dt><span>No Billpym Pnbp</span></dt>
          <dd>
            <span>{{ invoice.noBillpymPnbp }}</span>
          </dd>
          <dt><span>No Billpym Jasa</span></dt>
          <dd>
            <span>{{ invoice.noBillpymJasa }}</span>
          </dd>
          <dt><span>Amount Pnbp</span></dt>
          <dd>
            <span>{{ invoice.amountPnbp }}</span>
          </dd>
          <dt><span>Tax Pnbp</span></dt>
          <dd>
            <span>{{ invoice.taxPnbp }}</span>
          </dd>
          <dt><span>Total Amount Pnbp</span></dt>
          <dd>
            <span>{{ invoice.totalAmountPnbp }}</span>
          </dd>
          <dt><span>Amount Jasa</span></dt>
          <dd>
            <span>{{ invoice.amountJasa }}</span>
          </dd>
          <dt><span>Vat Jasa</span></dt>
          <dd>
            <span>{{ invoice.vatJasa }}</span>
          </dd>
          <dt><span>Tax Jasa</span></dt>
          <dd>
            <span>{{ invoice.taxJasa }}</span>
          </dd>
          <dt><span>Total Amount Jasa</span></dt>
          <dd>
            <span>{{ invoice.totalAmountJasa }}</span>
          </dd>
          <dt><span>File Proforma Pnbp</span></dt>
          <dd>
            <span>{{ invoice.fileProformaPnbp }}</span>
          </dd>
          <dt><span>File Proforma Jasa</span></dt>
          <dd>
            <span>{{ invoice.fileProformaJasa }}</span>
          </dd>
          <dt><span>File Billpym Pnbp</span></dt>
          <dd>
            <span>{{ invoice.fileBillpymPnbp }}</span>
          </dd>
          <dt><span>File Billpym Jasa</span></dt>
          <dd>
            <span>{{ invoice.fileBillpymJasa }}</span>
          </dd>
          <dt><span>File Bulk</span></dt>
          <dd>
            <span>{{ invoice.fileBulk }}</span>
          </dd>
          <dt><span>File Tax</span></dt>
          <dd>
            <span>{{ invoice.fileTax }}</span>
          </dd>
          <dt><span>File Txt</span></dt>
          <dd>
            <span>{{ invoice.fileTxt }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ invoice.status }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ invoice.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ invoice.updateOn | formatMediumDatetime }}</span>
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/invoice', invoice.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
